
mgr - Bug #53603

mgr/telemetry: list index out of range in gather_device_report

12/14/2021 07:05 PM - Yaarit Hatuka

Status: Pending Backport % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee: Yaarit Hatuka   

Category: telemetry module   

Target version: v17.0.0   

Source: Development Affected Versions: v15.0.0, v15.2.1, v15.2.10, v15.2.11,

v15.2.12, v15.2.13, v15.2.14, v15.2.15,

v15.2.16, v15.2.2, v15.2.3, v15.2.4,

v15.2.5, v15.2.6, v15.2.7, v15.2.8,

v15.2.9, v16.0.0, v16.0.1, v16.1.0,

v16.1.1, v16.2.0, v16.2.1, v16.2.2,

v16.2.3, v16.2.4, v16.2.5, v16.2.6,

v16.2.7, v16.2.8, v17.0.0

Tags: backport_processed ceph-qa-suite:  

Backport: pacific, octopus Pull request ID: 44327

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Telemetry crashed on the gibba cluster:

# ceph health detail

HEALTH_ERR Module 'telemetry' has failed: list index out of range; 3 daemons have recently crashed

[ERR] MGR_MODULE_ERROR: Module 'telemetry' has failed: list index out of range

    Module 'telemetry' has failed: list index out of range

2021-12-14T16:44:38.413+0000 7f3372dd4700 -1 Traceback (most recent call last):

  File "/usr/share/ceph/mgr/telemetry/module.py", line 1152, in serve

    self.send(self.last_report)

  File "/usr/share/ceph/mgr/telemetry/module.py", line 963, in send

    devices = self.gather_device_report()

  File "/usr/share/ceph/mgr/telemetry/module.py", line 611, in gather_device_report

    host = d['location'][0]['host']

IndexError: list index out of range

Related issues:

Related to mgr - Bug #53604: mgr/telemetry: list assignment index out of rang... Resolved

Copied to mgr - Backport #53691: pacific: mgr/telemetry: list index out of ra... New

Copied to mgr - Backport #53692: octopus: mgr/telemetry: list index out of ra... New

History

#1 - 12/15/2021 01:14 AM - Vikhyat Umrao

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr dispatch_remote Success calling 'ls'

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr Gil Switched to new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr Gil Switched to new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr dispatch_remote Calling crash.do_info...

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr dispatch_remote Success calling 'do_info'

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr Gil Switched to new thread state 0x55eb2c4a9600
2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr Gil Switched to new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr dispatch_remote Calling crash.do_info...

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr dispatch_remote Success calling 'do_info'

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr Gil Switched to new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr Gil Switched to new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr dispatch_remote Calling crash.do_info...

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr dispatch_remote Success calling 'do_info'

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr Gil Switched to new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr Gil Switched to new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr dispatch_remote Calling crash.do_info...

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr dispatch_remote Success calling 'do_info'

2021-12-14T18:48:04.034+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb2c4a9600

2021-12-14T18:48:04.034+0000 7ffa856af700 -1 mgr handle_command module 'telemetry' command handler threw excep

tion: list assignment index out of range

2021-12-14T18:48:04.116+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb061b3b00

2021-12-14T18:48:04.116+0000 7ffa856af700 -1 mgr.server reply reply (22) Invalid argument Traceback (most rece

nt call last):

  File "/usr/share/ceph/mgr/mgr_module.py", line 1648, in _handle_command

    return CLICommand.COMMANDS[cmd['prefix']].call(self, cmd, inbuf)

  File "/usr/share/ceph/mgr/mgr_module.py", line 434, in call

    return self.func(mgr, **kwargs)

  File "/usr/share/ceph/mgr/telemetry/module.py", line 1038, in show

    report = self.get_report(channels=channels)

  File "/usr/share/ceph/mgr/telemetry/module.py", line 1087, in get_report

    return self.compile_report(channels=channels)

  File "/usr/share/ceph/mgr/telemetry/module.py", line 900, in compile_report

    report['crashes'] = self.gather_crashinfo()

  File "/usr/share/ceph/mgr/telemetry/module.py", line 483, in gather_crashinfo

    c['backtrace'][-1] = '<redacted>'

IndexError: list assignment index out of range

2021-12-14T18:48:04.116+0000 7ffa856af700  1 -- [v2:172.21.2.101:7002/1319847290,v1:172.21.2.101:7003/13198472

90] --> 172.21.2.102:0/1267436291 -- mgr_command_reply(tid 0: -22 Traceback (most recent call last):

  File "/usr/share/ceph/mgr/mgr_module.py", line 1648, in _handle_command

    return CLICommand.COMMANDS[cmd['prefix']].call(self, cmd, inbuf)

  File "/usr/share/ceph/mgr/mgr_module.py", line 434, in call

    return self.func(mgr, **kwargs)

  File "/usr/share/ceph/mgr/telemetry/module.py", line 1038, in show

    report = self.get_report(channels=channels)

  File "/usr/share/ceph/mgr/telemetry/module.py", line 1087, in get_report

    return self.compile_report(channels=channels)

  File "/usr/share/ceph/mgr/telemetry/module.py", line 900, in compile_report

    report['crashes'] = self.gather_crashinfo()

  File "/usr/share/ceph/mgr/telemetry/module.py", line 483, in gather_crashinfo

    c['backtrace'][-1] = '<redacted>'

IndexError: list assignment index out of range

) v1 -- 0x55eb10343a20 con 0x55eb03927800

2021-12-14T18:48:04.116+0000 7ffa856af700 10 mgr.server operator()  command returned -22

2021-12-14T18:48:04.116+0000 7ffa856af700 20 mgr Gil Switched to new thread state 0x55eb061b3b00

2021-12-14T18:48:04.116+0000 7ffa856af700 20 mgr ~Gil Destroying new thread state 0x55eb061b3b00
#2 - 12/15/2021 03:48 AM - Yaarit Hatuka

There is a separate tracker for the gather_crashinfo bug:

https://tracker.ceph.com/issues/53604

#3 - 12/16/2021 03:08 AM - Yaarit Hatuka

- Status changed from New to Fix Under Review

- Pull request ID set to 44327

#4 - 12/16/2021 09:58 AM - Sebastian Wagner

- Related to Bug #53604: mgr/telemetry: list assignment index out of range in gather_crashinfo added

#5 - 12/21/2021 07:57 PM - Neha Ojha

- Status changed from Fix Under Review to Pending Backport

#6 - 12/21/2021 08:00 PM - Backport Bot

- Copied to Backport #53691: pacific: mgr/telemetry: list index out of range in gather_device_report added

#7 - 12/21/2021 08:00 PM - Backport Bot

- Copied to Backport #53692: octopus: mgr/telemetry: list index out of range in gather_device_report added

#8 - 08/08/2022 04:30 PM - Backport Bot

- Tags set to backport_processed
